ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007921ClearOSapp-certificate-manager - Certificate Managerpublic2016-04-02 01:172017-01-12 20:39
Reportermarclaporte 
Assigned Tobchambers 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.2.0 Updates 
Target Version7.3.0 Beta 1Fixed in Version7.3.0 Beta 1 
Summary0007921: SSL / HTTPS: Generate Certificate Signing Request (CSR) certificates from the GUI
DescriptionThis feature existed in ClearOS 5.x:
https://www.clearos.com/resources/documentation/clearos/content:en_us:5_certificate_manager [^]

So the admin should be able via the ClearOS GUI to get everything needed to provide to SSL provider (ex.: Gandi) and import the generated certificate back to the ClearOS GUI.

Taken from:
https://tracker.clearos.com/view.php?id=2211 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003021)
pbaldwin (administrator)
2016-04-04 12:13

Though creating CSRs existed in ClearOS 5.x, there wasn't a mechanism to deploy the resulting certificates to the web server (or other ClearOS apps). It was all command line after the CSR creation (which didn't pass the ClearOS 6 quality test, hence its removal).

- Issue History
Date Modified Username Field Change
2016-04-02 01:17 marclaporte New Issue
2016-04-02 01:19 marclaporte Summary Generate Certificate Signing Request (CSR) certificates from the GUI => SSL / HTTPS: Generate Certificate Signing Request (CSR) certificates from the GUI
2016-04-04 12:11 pbaldwin Severity major => feature
2016-04-04 12:11 pbaldwin Status new => acknowledged
2016-04-04 12:13 pbaldwin Note Added: 0003021
2016-12-06 07:49 bchambers Assigned To => bchambers
2016-12-06 07:49 bchambers Status acknowledged => assigned
2016-12-06 07:49 bchambers Status assigned => confirmed
2016-12-07 12:38 bchambers Status confirmed => acknowledged
2016-12-07 12:39 bchambers Target Version => 7.3.0 Beta 1
2016-12-07 12:39 bchambers Status acknowledged => confirmed
2016-12-07 12:39 bchambers Status confirmed => resolved
2016-12-07 12:39 bchambers Fixed in Version => 7.3.0 Beta 1
2016-12-07 12:39 bchambers Resolution open => fixed
2017-01-12 20:39 pbaldwin Status resolved => closed